SystemOrganization addCategory: #'TP1-TADP'!

Trait named: #Analogico
	uses: {}
	category: 'TP1-TADP'!

!Analogico methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:22'!
definicionMaxima: unaPantalla
 ^480.! !

Trait named: #ConsumidorEntrada
	uses: {}
	category: 'TP1-TADP'!

!ConsumidorEntrada methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:32'!
consumo: consumoTecnologia
 ^ consumoTecnologia * (self factorAumento)! !

!ConsumidorEntrada methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:31'!
factorAumento
 ^self requirement.! !

Trait named: #ConsumidorTecnologia
	uses: {}
	category: 'TP1-TADP'!

!ConsumidorTecnologia methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:28'!
consumo: unaPantalla 
 ^ (self wattsHora) * (unaPantalla tamanio).! !

!ConsumidorTecnologia methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:28'!
wattsHora
 ^self requirement.! !

Trait named: #Digital
	uses: {}
	category: 'TP1-TADP'!

!Digital methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:25'!
definicionMaxima: unaPantalla 
 ^(self ppp)*(((unaPantalla tamanio) * (unaPantalla tamanio) / 2) sqrt).! !

!Digital methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:23'!
ppp
 self requirement.! !

!Digital methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:22'!
ppp: unValor
 self requirement.! !

Trait named: #Pantalla
	uses: {}
	category: 'TP1-TADP'!

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:12'!
aptoVideoJuegos
 ^ (self tasaRefrescoReal > 100)! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:04'!
consumo
 ^ self entrada consumo: (self tecnologia consumo:self).! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:07'!
definicionMaxima
 ^self tecnologia definicionMaxima: self.! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:00'!
entrada
 self requirement.! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:14'!
entrada: unaEntrada
 self requirement.! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:08'!
esConectable
 ^(self definicionMaxima >= self entrada definicion).! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:00'!
tamanio
 self requirement.! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:14'!
tamanio: unTamanio
 self requirement.! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 11:59'!
tasaRefresco
 self requirement.! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:12'!
tasaRefrescoReal
 ^ (self tasaRefresco) min: (self entrada tasaRefresco)! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:00'!
tecnologia
 self requirement.! !

!Pantalla methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:14'!
tecnologia: unaTecnologia
 self requirement.! !

Object subclass: #AudioVideo
	uses: ConsumidorEntrada
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

AudioVideo class
	uses: ConsumidorEntrada classTrait
	instanceVariableNames: ''!

!AudioVideo methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:41'!
definicion
 ^480! !

!AudioVideo methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:41'!
factorAumento
 ^1.1! !

!AudioVideo methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:41'!
tasaRefresco
 ^50.! !

Object subclass: #CRT
	uses: Analogico + ConsumidorTecnologia
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

CRT class
	uses: Analogico classTrait + ConsumidorTecnologia classTrait
	instanceVariableNames: ''!

!CRT methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:29'!
wattsHora
 ^5! !

Object subclass: #HDMI
	uses: ConsumidorEntrada
	instanceVariableNames: 'definicion tasaRefresco'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

HDMI class
	uses: ConsumidorEntrada classTrait
	instanceVariableNames: ''!

!HDMI methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:38'!
definicion
 ^definicion.! !

!HDMI methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:38'!
definicion:unaDefinicion
 definicion := unaDefinicion! !

!HDMI methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:38'!
factorAumento
 ^1.2.! !

!HDMI methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:39'!
tasaRefresco
 ^tasaRefresco! !

Object subclass: #LCD
	uses: Digital + ConsumidorTecnologia
	instanceVariableNames: 'ppp'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

LCD class
	uses: Digital classTrait + ConsumidorTecnologia classTrait
	instanceVariableNames: ''!

!LCD methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:26'!
ppp
 ^ppp! !

!LCD methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:26'!
ppp: unValor
 ppp := unValor.! !

!LCD methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:29'!
wattsHora
 ^4! !

Object subclass: #LED
	uses: Digital + ConsumidorTecnologia
	instanceVariableNames: 'ppp'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

LED class
	uses: Digital classTrait + ConsumidorTecnologia classTrait
	instanceVariableNames: ''!

!LED methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:26'!
ppp
 ^ppp! !

!LED methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:27'!
ppp: unValor
 ppp := unValor.! !

!LED methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:29'!
wattsHora
 ^1! !

Object subclass: #MonitorPC
	uses: Pantalla
	instanceVariableNames: 'tecnologia tamanio entrada'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

MonitorPC class
	uses: Pantalla classTrait
	instanceVariableNames: ''!

!MonitorPC methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:14'!
entrada
 ^entrada.! !

!MonitorPC methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:14'!
entrada: unaEntrada
 entrada := unaEntrada.! !

!MonitorPC methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:15'!
tamanio
 ^tamanio.! !

!MonitorPC methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:15'!
tamanio: unTamanio
 tamanio := unTamanio.! !

!MonitorPC methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:15'!
tasaRefresco
 ^120.! !

!MonitorPC methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:16'!
tecnologia
 ^tecnologia.! !

!MonitorPC methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:16'!
tecnologia: unaTecnologia
 tecnologia := unaTecnologia.! !

Object subclass: #RF
	uses: ConsumidorEntrada
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

RF class
	uses: ConsumidorEntrada classTrait
	instanceVariableNames: ''!

!RF methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:40'!
definicion
 ^480.! !

!RF methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:39'!
factorAumento
 ^1! !

!RF methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:40'!
tasaRefresco
 ^50.! !

Object subclass: #TV
	uses: Pantalla
	instanceVariableNames: 'tecnologia tamanio entrada'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

TV class
	uses: Pantalla classTrait
	instanceVariableNames: ''!

TV subclass: #SmartTV
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

!SmartTV methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:19'!
tasaRefresco
 ^((super tasaRefresco) * 1.5) ! !

!TV methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:17'!
entrada
 ^entrada.! !

!TV methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:17'!
entrada: unaEntrada
 entrada := unaEntrada.! !

!TV methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:18'!
tamanio
 ^tamanio.! !

!TV methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:18'!
tamanio: unTamanio
 tamanio := unTamanio.! !

!TV methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:18'!
tasaRefresco
 ^90.! !

!TV methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:18'!
tecnologia
 ^tecnologia.! !

!TV methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:18'!
tecnologia: unaTecnologia
 tecnologia := unaTecnologia.! !

Object subclass: #VGA
	instanceVariableNames: 'definicion'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP1-TADP'!

!VGA methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:36'!
consumo: consumoTecnologia
 ^consumoTecnologia + (0.001 * self definicion)! !

!VGA methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:35'!
definicion
 ^definicion.! !

!VGA methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:46'!
definicion: unaDefinicion
 definicion := unaDefinicion.! !

!VGA methodsFor: 'as yet unclassified' stamp: 'sebi 4/11/2013 12:35'!
tasaRefresco
 ^120! !
